
%if 0%{?fedora}
# Disable running the test suite by default
%bcond_with tests
# https://bugzilla.redhat.com/show_bug.cgi?id=1363923
# Use springframework:4.2.6.RELEASE
%bcond_with spring
%endif

Name:          greenmail
Version:       1.5.3
Release:       4%{?dist}
Summary:       Suite of email servers for testing purposes
License:       ASL 2.0
URL:           http://www.icegreen.com/greenmail
Source0:       https://github.com/greenmail-mail-test/greenmail/archive/release-%{version}/%{name}-%{version}.tar.gz
# e-mail clearing up licensing issues
Source1:       %{name}-license-confusion.eml

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: mvn(com.sun.mail:javax.mail)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.slf4j:slf4j-simple)
%if %{without spring}
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-test)
%endif

# Old guideline
# FPC bundling exception: https://fedorahosted.org/fpc/ticket/392
# New guideline
# ./greenmail-core/src/main/java/com/icegreen/greenmail/foedus
# ./greenmail-core/src/main/java/com/icegreen/greenmail/mail
# ./greenmail-core/src/main/java/com/icegreen/greenmail/pop3
# ./greenmail-core/src/main/java/com/icegreen/greenmail/smtp
# ./greenmail-core/src/main/java/com/icegreen/greenmail/user
Provides:      bundled(foedus) = 0.1.2
# ./greenmail-core/src/main/java/com/icegreen/greenmail/imap
# ./greenmail-core/src/main/java/com/icegreen/greenmail/store
Provides:      bundled(apache-mime4j) = r109034

%description
GreenMail is an intuitive and easy-to-use test suite of email servers for
testing purposes.  It supports SMTP, POP3, IMAP with SSL socket support.
GreenMail also provides a JBoss GreenMail Service.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package parent
Summary:       Greenmail Parent POM

%description parent
Greenmail Parent POM.

%package spring
Summary:       Greenmail Spring

%description spring
GreenMail support for Spring Framework.

%package standalone
Summary:       Greenmail Standalone

%description standalone
Run GreenMail standalone.

%prep
%setup -qn %{name}-release-%{version}

# Unavailable build deps
%pom_disable_module %{name}-jboss-service
%pom_disable_module %{name}-docker/standalone
# Unsupported features
%pom_disable_module %{name}-webapp

%if %{with spring}
%pom_disable_module %{name}-spring
%endif

# Use system JVM apis
%pom_remove_dep -r javax.activation:activation
# Unavailable test dep
%pom_remove_dep -r org.easymock:easymockclassextension

# https://github.com/marcelmay/inject-maven-plugin
%pom_remove_plugin de.m3y.maven:inject-maven-plugin %{name}-core

# Disable bundled copies of system libraries
%pom_remove_plugin :maven-shade-plugin %{name}-standalone
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin:3.0.2 %{name}-standalone "
<configuration>
  <archive>
    <manifest>
      <addClasspath>false</addClasspath>
      <mainClass>com.icegreen.greenmail.standalone.GreenMailStandaloneRunner</mainClass>
    </manifest>
  </archive>
</configuration>"

%build

%if %{without tests}
# Unavailable test dep
opts='-f'
%endif
%mvn_build -s $opts

%install
%mvn_install

install %{SOURCE1} .

%files -f .mfiles-%{name}
%doc README.md
%license license.txt %{name}-license-confusion.eml

%files javadoc -f .mfiles-javadoc
%license license.txt %{name}-license-confusion.eml

%files parent -f .mfiles-%{name}-parent
%license license.txt %{name}-license-confusion.eml

%if %{without spring}
%files spring -f .mfiles-%{name}-spring
%endif

%files standalone -f .mfiles-%{name}-standalone

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 03 2017 gil cattaneo <puntogil@libero.it> 1.5.3-1
- update to 1.5.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1b-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1b-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 03 2015 gil cattaneo <puntogil@libero.it> 1.3.1b-4
- fix doc

* Tue Mar 03 2015 gil cattaneo <puntogil@libero.it> 1.3.1b-3
- introduce license macro
- use newer javapackages macros
- use javac source/target 1.6
- fix BR list

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Robert Rati <rrati@redhat> - 1.3.1b-1
- Initial packaging
